Sketcher SketchObject/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Incode|Sketcher::SketchObject}} deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per l...")
(Created page with "{{Caption|Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe {{incode|Sketcher::SketchObject}} è specializzata per le forme 2D e inoltre...")
Line 11: Line 11:
[[File:FreeCAD_core_objects.svg|800px]]
[[File:FreeCAD_core_objects.svg|800px]]


{{Caption|Simplified diagram of the relationships between the core objects in FreeCAD. The {{incode|Sketcher::SketchObject}} class is specialized for 2D shapes, and in addition it can handle constraints.}}
{{Caption|Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe {{incode|Sketcher::SketchObject}} è specializzata per le forme 2D e inoltre può gestire i vincoli.}}


== How to use ==
== How to use ==

Revision as of 15:22, 1 December 2019

Other languages:

Introduzione

Un Sketcher SketchObject, o formalmente un Sketcher::SketchObject, è l'elemento base per creare oggetti 2D con l'ambiente Sketcher.

Sketcher::SketchObject deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per la geometria 2D. Come Part2DObject, SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.

Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe Sketcher::SketchObject è specializzata per le forme 2D e inoltre può gestire i vincoli.

How to use

  1. Switch to the Sketcher Workbench.
  2. Press Sketcher NewSketch.
  3. Select a Sketch orientation: XY-plane, XZ-plane, or YZ-plane. Optionally also choose Reverse direction, and give an Offset value.
  4. Press OK.

Although the SketchObject can be used by itself to draw on a plane, it is most commonly used in conjunction with the PartDesign Workbench to create extruded solids.

  1. Switch to the PartDesign Workbench.
  2. Press PartDesign Body.
  3. Press PartDesign NewSketch.
  4. Select feature: XY_Plane (Base plane), XZ_Plane (Base plane), or YZ_Plane (Base plane).
  5. Press OK.

Properties

See Property for all property types that scripted objects can have.

A Sketcher SketchObject (Sketcher::SketchObject class) is derived from a Part Part2DObject (Part::Part2DObject class), therefore it shares all the latter's properties.

In addition to the properties described in Part Part2DObject, the basic Sketcher SketchObject has the following properties in the property editor.

Data

Attachment

  • DatiMap Mode: See Part Attachment for more information on all attachment mapping modes.

Sketch

  • DatiConstraints: named constraints, if they exist; otherwise it is an empty list [].

View

Auto Constraints

  • VistaAutoconstraints: if true it will try setting constraints when the geometry is drawn.

Visibility automation

  • VistaEditing Workbench: normally SketcherWorkbench, it is the name of the workbench to activate when editing the sketch.
  • VistaHide Dependent: if true all objects that depend on the sketch are hidden when opening the sketch.
  • VistaRestore Camera: if true the camera position is saved before opening the sketch, and is restored after closing it.
  • VistaShow Links: if true all objects used in links to external geometry are shown when opening the sketch.
  • VistaShow Support: if true all objects this sketch is attached to are shown when opening the sketch.

Scripting

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information.

A Sketcher SketchObject is created with the addObject() method of the document.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Name")
obj.Label = "Custom label"